Name:		mate-themes
Version:	1.4.0
Release:	1%{?dist}
Summary:	MATE Desktop themes
License:	GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	icon-naming-utils mate-common mate-corba-devel mate-conf-devel mate-desktop-devel mate-doc-utils mate-menus-devel mate-settings-daemon-devel dbus-glib-devel libmatekbd-devel libmatenotify-devel libxklavier-devel nss-devel polkit-devel unique-devel mate-window-manager-devel

%description
MATE Desktop themes


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --enable-all-themes --enable-test-themes --enable-icon-mapping
make %{?_smp_mflags} V=1


%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_datadir}/icons/ContrastHigh-SVG
%{_datadir}/themes/TraditionalOkClassic
%{_datadir}/themes/ContrastLowLargePrint
%{_datadir}/themes/Fog
%{_datadir}/themes/PrintLarge
%{_datadir}/themes/Quid
%{_datadir}/themes/Reverse
%{_datadir}/themes/Shiny
%{_datadir}/themes/Simply
%{_datadir}/themes/TraditionalOk
%{_datadir}/themes/ContrastHighLargePrint
%{_datadir}/themes/ContrastHighLargePrintInverse
%{_datadir}/themes/ContrastLow
%{_datadir}/themes/ContrastHigh
%{_datadir}/themes/ContrastHighInverse
%{_datadir}/themes/Aldabra
%{_datadir}/icons/ContrastHigh
%{_datadir}/icons/ContrastHighInverse
%{_datadir}/icons/ContrastHighLargePrint
%{_datadir}/icons/Fog
%{_datadir}/icons/MateLargePrint
%{_datadir}/icons/Quid
%{_datadir}/themes/AlaDelta
%{_datadir}/themes/Atantla
%{_datadir}/icons/mate/cursors
%{_datadir}/icons/ContrastHighLargePrintInverse
%{_datadir}/themes/TraditionalOkTest

%changelog
* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
